package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 打印内容类型
 *
 * @author:
 * @date: 2022/12/26 11:11
 */
public enum TicketTypeWidthEnum {
    TYPE_SMALL("1", "164"),
    TYPE_LARGER("2", "227");
    private String value;
    private String desc;

    TicketTypeWidthEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static TicketTypeWidthEnum getByValue(String value) {
        for (TicketTypeWidthEnum BusizTypeEnum : TicketTypeWidthEnum.values()) {
            if (BusizTypeEnum.getValue().equals(value)) {
                return BusizTypeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (TicketTypeWidthEnum item : TicketTypeWidthEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}